
# Makefile for GNU make

SUBDIRS = \
  cgfxcat \
  cginfo \
  $(NULL)

define SPAWN_MAKE
	$(MAKE) -C $(1) -f Makefile $@

endef

.PHONY: all FORCE $(SUBDIRS)

all:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

FORCE:

.DEFAULT:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))
